Package org.wso2.carbon.mediation.initializer.persistence

# Class StartupStore

java.lang.Object
org.wso2.carbon.mediation.initializer.persistence.AbstractStore<org.apache.synapse.Startup>
org.wso2.carbon.mediation.initializer.persistence.StartupStore

public class StartupStore extends AbstractStore<org.apache.synapse.Startup>

- ## Field Summary

  ### Fields inherited from class org.wso2.carbon.mediation.initializer.persistence.AbstractStore

  `configPath, log, serializer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartupStore(String configPath, String configName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `deleteFile(String fileName, org.apache.synapse.config.SynapseConfiguration synapseConfiguration)`
  Delete the specified file from the persistence store.
  `protected String`
  `getFileName(org.apache.synapse.Startup startup)`
  Inspect the given object and find the file name to which it should be serialized to
  `protected org.apache.synapse.Startup`
  `getObjectToPersist(String name, org.apache.synapse.config.SynapseConfiguration config)`
  Find the specified object from the SynaspeConfiguration to be saved to the persistence store
  `protected org.apache.axiom.om.OMElement`
  `saveToFile(org.apache.synapse.Startup startup, org.apache.synapse.config.SynapseConfiguration synapseConfiguration)`
  Serialize and save the given object to the local file system
  `protected org.apache.axiom.om.OMElement`
  `serialize(org.apache.synapse.Startup startup)`
  Serialize the given object into XML

  ### Methods inherited from class org.wso2.carbon.mediation.initializer.persistence.AbstractStore

  `delete, handleException, save`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StartupStore

    public StartupStore(String configPath, String configName)

- ## Method Details

  - ### getFileName

    protected String getFileName(org.apache.synapse.Startup startup)
    Description copied from class: `AbstractStore`
    Inspect the given object and find the file name to which it should be serialized to
    Specified by:
      `getFileName` in class `AbstractStore<org.apache.synapse.Startup>`
    Parameters:
      `startup` - The object to be inspected
    Returns:
      A file name as a string or null if no file name is specified

  - ### getObjectToPersist

    protected org.apache.synapse.Startup getObjectToPersist(String name, org.apache.synapse.config.SynapseConfiguration config)
    Description copied from class: `AbstractStore`
    Find the specified object from the SynaspeConfiguration to be saved to the persistence store
    Specified by:
      `getObjectToPersist` in class `AbstractStore<org.apache.synapse.Startup>`
    Parameters:
      `name` - Name or unique ID of the object
      `config` - Current SynapseConfiguration
    Returns:
      The named object or null if such an object doesn't exist

  - ### saveToFile

    protected org.apache.axiom.om.OMElement saveToFile(org.apache.synapse.Startup startup, org.apache.synapse.config.SynapseConfiguration synapseConfiguration)
    Description copied from class: `AbstractStore`
    Serialize and save the given object to the local file system
    Specified by:
      `saveToFile` in class `AbstractStore<org.apache.synapse.Startup>`
    Parameters:
      `startup` - Object to be saved
      `synapseConfiguration` - synapse configuration
    Returns:
      The OMElement generated as a result of the serialization or null

  - ### serialize

    protected org.apache.axiom.om.OMElement serialize(org.apache.synapse.Startup startup)
    Description copied from class: `AbstractStore`
    Serialize the given object into XML
    Specified by:
      `serialize` in class `AbstractStore<org.apache.synapse.Startup>`
    Parameters:
      `startup` - The object to be serialized
    Returns:
      The resulting OMElement

  - ### deleteFile

    protected void deleteFile(String fileName, org.apache.synapse.config.SynapseConfiguration synapseConfiguration)
    Description copied from class: `AbstractStore`
    Delete the specified file from the persistence store. File name is provided as an argument and it is up to the implementation to the calculate the exact file path using the file name and other available data.
    Specified by:
      `deleteFile` in class `AbstractStore<org.apache.synapse.Startup>`
    Parameters:
      `fileName` - Name of the file to be deleted
      `synapseConfiguration` - synapse configuration